{
    num: 275,
    accuracy: true,
    basePower: 0,
    category: "Status",
    name: "Ingrain",
    pp: 20,
    priority: 0,
    flags: { snatch: 1, nonsky: 1, metronome: 1 },
    volatileStatus: "ingrain",
    condition: {
        onStart(pokemon) {
            this.add("-start", pokemon, "move: Ingrain");
        },
        onResidualOrder: 7,
        onResidual(pokemon) {
            this.heal(pokemon.baseMaxhp / 8);
        },
        onTrapPokemon(pokemon) {
            pokemon.tryTrap();
        },
        onDragOut(pokemon) {
            this.add("-activate", pokemon, "move: Ingrain");
            return null;
        }
    },
    secondary: null,
    target: "self",
    type: "Grass",
    zMove: { boost: { spd: 1 } },
    contestType: "Clever"
}
